LibreOffice: XWindow2 Interface Reference

LibreOffice LibreOffice 26.8 SDK API Reference

Loading...
Searching...
No Matches
XWindow2 Interface Referencepublished

specifies some extended operations for a window component. More...

`import "XWindow2.idl";`

Inheritance diagram for XWindow2:

## Public Member Functions
void | setOutputSize ([in] com::sun::star::awt::Size Size)
| sets the inner bounds of the window, also known as the client size
com::sun::star::awt::Size | getOutputSize ()
| returns the inner bounds of the window, also known as the client size.
boolean | isVisible ()
| returns the visibility state of the window
boolean | isActive ()
| returns the activation state of the window
boolean | isEnabled ()
| returns the enabled state of the window
boolean | hasFocus ()
| returns the focus state of the window
Public Member Functions inherited from XWindow
void | setPosSize ([in] long X, [in] long Y, [in] long Width, [in] long Height, [in] short Flags)
| sets the outer bounds of the window.
com::sun::star::awt::Rectangle | getPosSize ()
| returns the outer bounds of the window.
void | setVisible ([in] boolean Visible)
| shows or hides the window depending on the parameter.
void | setEnable ([in] boolean Enable)
| enables or disables the window depending on the parameter.
void | setFocus ()
| sets the focus to the window.
void | addWindowListener ([in] com::sun::star::awt::XWindowListener xListener)
| adds a window listener to the object.
void | removeWindowListener ([in] com::sun::star::awt::XWindowListener xListener)
| removes the specified window listener from the listener list.
void | addFocusListener ([in] com::sun::star::awt::XFocusListener xListener)
| adds a focus listener to the object.
void | removeFocusListener ([in] com::sun::star::awt::XFocusListener xListener)
| removes the specified focus listener from the listener list.
void | addKeyListener ([in] com::sun::star::awt::XKeyListener xListener)
| adds a key listener to the object.
void | removeKeyListener ([in] com::sun::star::awt::XKeyListener xListener)
| removes the specified key listener from the listener list.
void | addMouseListener ([in] com::sun::star::awt::XMouseListener xListener)
| adds a mouse listener to the object.
void | removeMouseListener ([in] com::sun::star::awt::XMouseListener xListener)
| removes the specified mouse listener from the listener list.
void | addMouseMotionListener ([in] com::sun::star::awt::XMouseMotionListener xListener)
| adds a mouse motion listener to the object.
void | removeMouseMotionListener ([in] com::sun::star::awt::XMouseMotionListener xListener)
| removes the specified mouse motion listener from the listener list.
void | addPaintListener ([in] com::sun::star::awt::XPaintListener xListener)
| adds a paint listener to the object.
void | removePaintListener ([in] com::sun::star::awt::XPaintListener xListener)
| removes the specified paint listener from the listener list.
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

specifies some extended operations for a window component.

A window is a rectangular region on an output device with its own position, size, and internal coordinate system. A window is used for displaying data. In addition, the window receives events from the user.

## Member Function Documentation

## ◆ getOutputSize()

com::sun::star::awt::Size getOutputSize | ( |  | ) |

returns the inner bounds of the window, also known as the client size.

## ◆ hasFocus()

boolean hasFocus | ( |  | ) |

returns the focus state of the window

## ◆ isActive()

boolean isActive | ( |  | ) |

returns the activation state of the window

## ◆ isEnabled()

boolean isEnabled | ( |  | ) |

returns the enabled state of the window

## ◆ isVisible()

boolean isVisible | ( |  | ) |

returns the visibility state of the window

## ◆ setOutputSize()

void setOutputSize | ( | [in] com::sun::star::awt::Size | Size | ) |

sets the inner bounds of the window, also known as the client size

Parameters

  Size | the inner width and height of the window.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XWindow2.idl